import { ActionCodeInfo, ActionCodeSettings, ApplicationVerifier, Auth, AuthCredential, AuthError, AuthProvider, ConfirmationResult, PhoneAuthCredential, PopupRedirectResolver, User, UserCredential } from "@firebase/auth";
import { UseMutationOptions } from "react-query";
export declare function useAuthApplyActionCode(auth: Auth, useMutationOptions?: UseMutationOptions<void, AuthError, string>): import("react-query").UseMutationResult<void, AuthError, string, unknown>;
export declare function useAuthCheckActionCode(auth: Auth, useMutationOptions?: UseMutationOptions<ActionCodeInfo, AuthError, string>): import("react-query").UseMutationResult<ActionCodeInfo, AuthError, string, unknown>;
export declare function useAuthConfirmPasswordReset(auth: Auth, useMutationOptions?: UseMutationOptions<void, AuthError, {
    oobCode: string;
    newPassword: string;
}>): import("react-query").UseMutationResult<void, AuthError, {
    oobCode: string;
    newPassword: string;
}, unknown>;
export declare function useAuthCreateUserWithEmailAndPassword(auth: Auth, useMutationOptions?: UseMutationOptions<void, AuthError, {
    email: string;
    password: string;
}>): import("react-query").UseMutationResult<void, AuthError, {
    email: string;
    password: string;
}, unknown>;
export declare function useAuthDeleteUser(useMutationOptions?: UseMutationOptions<void, AuthError, User>): import("react-query").UseMutationResult<void, AuthError, User, unknown>;
export declare function useAuthLinkWithCredential(useMutationOptions?: UseMutationOptions<UserCredential, AuthError, {
    user: User;
    credential: AuthCredential;
}>): import("react-query").UseMutationResult<UserCredential, AuthError, {
    user: User;
    credential: AuthCredential;
}, unknown>;
export declare function useAuthLinkWithPhoneNumber(useMutationOptions?: UseMutationOptions<ConfirmationResult, AuthError, {
    user: User;
    phoneNumber: string;
    appVerifier: ApplicationVerifier;
}>): import("react-query").UseMutationResult<ConfirmationResult, AuthError, {
    user: User;
    phoneNumber: string;
    appVerifier: ApplicationVerifier;
}, unknown>;
export declare function useAuthLinkWithPopup(useMutationOptions?: UseMutationOptions<UserCredential, AuthError, {
    user: User;
    provider: AuthProvider;
    resolver?: PopupRedirectResolver;
}>): import("react-query").UseMutationResult<UserCredential, AuthError, {
    user: User;
    provider: AuthProvider;
    resolver?: PopupRedirectResolver | undefined;
}, unknown>;
export declare function useAuthLinkWithRedirect(useMutationOptions?: UseMutationOptions<never, AuthError, {
    user: User;
    provider: AuthProvider;
    resolver?: PopupRedirectResolver;
}>): import("react-query").UseMutationResult<never, AuthError, {
    user: User;
    provider: AuthProvider;
    resolver?: PopupRedirectResolver | undefined;
}, unknown>;
export declare function useAuthReauthenticateWithCredential(useMutationOptions?: UseMutationOptions<UserCredential, AuthError, {
    user: User;
    credential: AuthCredential;
}>): import("react-query").UseMutationResult<UserCredential, AuthError, {
    user: User;
    credential: AuthCredential;
}, unknown>;
export declare function useAuthReauthenticateWithPhoneNumber(useMutationOptions?: UseMutationOptions<ConfirmationResult, AuthError, {
    user: User;
    phoneNumber: string;
    appVerifier: ApplicationVerifier;
}>): import("react-query").UseMutationResult<ConfirmationResult, AuthError, {
    user: User;
    phoneNumber: string;
    appVerifier: ApplicationVerifier;
}, unknown>;
export declare function useAuthReauthenticateWithPopup(useMutationOptions?: UseMutationOptions<UserCredential, AuthError, {
    user: User;
    provider: AuthProvider;
    resolver?: PopupRedirectResolver;
}>): import("react-query").UseMutationResult<UserCredential, AuthError, {
    user: User;
    provider: AuthProvider;
    resolver?: PopupRedirectResolver | undefined;
}, unknown>;
export declare function useAuthReauthenticateWithRedirect(useMutationOptions?: UseMutationOptions<never, AuthError, {
    user: User;
    provider: AuthProvider;
    resolver?: PopupRedirectResolver;
}>): import("react-query").UseMutationResult<never, AuthError, {
    user: User;
    provider: AuthProvider;
    resolver?: PopupRedirectResolver | undefined;
}, unknown>;
export declare function useAuthReload(useMutationOptions?: UseMutationOptions<void, AuthError, User>): import("react-query").UseMutationResult<void, AuthError, User, unknown>;
export declare function useAuthSendEmailVerification(useMutationOptions?: UseMutationOptions<void, AuthError, {
    user: User;
    actionCodeSettings?: ActionCodeSettings | null;
}>): import("react-query").UseMutationResult<void, AuthError, {
    user: User;
    actionCodeSettings?: ActionCodeSettings | null | undefined;
}, unknown>;
export declare function useAuthSendPasswordResetEmail(auth: Auth, useMutationOptions?: UseMutationOptions<void, AuthError, {
    email: string;
    actionCodeSettings?: ActionCodeSettings;
}>): import("react-query").UseMutationResult<void, AuthError, {
    email: string;
    actionCodeSettings?: ActionCodeSettings | undefined;
}, unknown>;
export declare function useAuthSendSignInLinkToEmail(auth: Auth, useMutationOptions?: UseMutationOptions<void, AuthError, {
    email: string;
    actionCodeSettings: ActionCodeSettings;
}>): import("react-query").UseMutationResult<void, AuthError, {
    email: string;
    actionCodeSettings: ActionCodeSettings;
}, unknown>;
export declare function useAuthSignInAnonymously(auth: Auth, useMutationOptions?: UseMutationOptions<UserCredential, AuthError, {
    email: string;
    password: string;
}>): import("react-query").UseMutationResult<UserCredential, AuthError, {
    email: string;
    password: string;
}, unknown>;
export declare function useAuthSignInWithCredential(auth: Auth, useMutationOptions?: UseMutationOptions<UserCredential, AuthError, AuthCredential>): import("react-query").UseMutationResult<UserCredential, AuthError, AuthCredential, unknown>;
export declare function useAuthSignInWithCustomToken(auth: Auth, useMutationOptions?: UseMutationOptions<UserCredential, AuthError, string>): import("react-query").UseMutationResult<UserCredential, AuthError, string, unknown>;
export declare function useAuthSignInWithEmailAndPassword(auth: Auth, useMutationOptions?: UseMutationOptions<UserCredential, AuthError, {
    email: string;
    password: string;
}>): import("react-query").UseMutationResult<UserCredential, AuthError, {
    email: string;
    password: string;
}, unknown>;
export declare function useAuthSignInWithEmailLink(auth: Auth): import("react-query").UseMutationResult<UserCredential, AuthError, {
    email: string;
    emailLink?: string | undefined;
}, unknown>;
export declare function useAuthSignInWithPhoneNumber(auth: Auth, useMutationOptions?: UseMutationOptions<ConfirmationResult, AuthError, {
    phoneNumber: string;
    appVerifier: ApplicationVerifier;
}>): import("react-query").UseMutationResult<ConfirmationResult, AuthError, {
    phoneNumber: string;
    appVerifier: ApplicationVerifier;
}, unknown>;
export declare function useAuthSignInWithPopup(auth: Auth, useMutationOptions?: UseMutationOptions<UserCredential, AuthError, {
    provider: AuthProvider;
    resolver?: PopupRedirectResolver;
}>): import("react-query").UseMutationResult<UserCredential, AuthError, {
    provider: AuthProvider;
    resolver?: PopupRedirectResolver | undefined;
}, unknown>;
export declare function useAuthSignInWithRedirect(auth: Auth, useMutationOptions?: UseMutationOptions<never, AuthError, {
    provider: AuthProvider;
    resolver?: PopupRedirectResolver;
}>): import("react-query").UseMutationResult<never, AuthError, {
    provider: AuthProvider;
    resolver?: PopupRedirectResolver | undefined;
}, unknown>;
export declare function useAuthSignOut(auth: Auth, useMutationOptions?: UseMutationOptions<void, AuthError, void>): import("react-query").UseMutationResult<void, AuthError, void, unknown>;
export declare function useAuthUnlink(useMutationOptions?: UseMutationOptions<User, AuthError, {
    user: User;
    providerId: string;
}>): import("react-query").UseMutationResult<User, AuthError, {
    user: User;
    providerId: string;
}, unknown>;
export declare function useAuthUpdateCurrentUser(auth: Auth, useMutationOptions?: UseMutationOptions<void, AuthError, User | null>): import("react-query").UseMutationResult<void, AuthError, User | null, unknown>;
export declare function useAuthUpdateEmail(useMutationOptions?: UseMutationOptions<void, AuthError, {
    user: User;
    newEmail: string;
}>): import("react-query").UseMutationResult<void, AuthError, {
    user: User;
    newEmail: string;
}, unknown>;
export declare function useAuthUpdatePassword(): import("react-query").UseMutationResult<void, AuthError, {
    user: User;
    newPassword: string;
}, unknown>;
export declare function useAuthUpdatePhoneNumber(useMutationOptions?: UseMutationOptions<void, AuthError, {
    user: User;
    credential: PhoneAuthCredential;
}>): import("react-query").UseMutationResult<void, AuthError, {
    user: User;
    credential: PhoneAuthCredential;
}, unknown>;
export declare function useAuthUpdateProfile(useMutationOptions?: UseMutationOptions<void, AuthError, {
    user: User;
    displayName?: string | null;
    photoURL?: string | null;
}>): import("react-query").UseMutationResult<void, AuthError, {
    user: User;
    displayName?: string | null | undefined;
    photoURL?: string | null | undefined;
}, unknown>;
export declare function useAuthVerifyBeforeUpdateEmail(useMutationOptions?: UseMutationOptions<void, AuthError, {
    user: User;
    newEmail: string;
    actionCodeSettings?: ActionCodeSettings;
}>): import("react-query").UseMutationResult<void, AuthError, {
    user: User;
    newEmail: string;
    actionCodeSettings?: ActionCodeSettings | undefined;
}, unknown>;
export declare function useAuthVerifyPasswordResetCode(auth: Auth, useMutationOptions?: UseMutationOptions<string, AuthError, string>): import("react-query").UseMutationResult<string, AuthError, string, unknown>;
